<div class="signup-back">
  <div class="login" style="padding-top: 80px;">
    <div class="login_title">
      SING UP
    </div>
    <div class="login_contents">
      <!--<div class="signup_label">SIGNUP TO GET INSTANT ACCESS.</div>-->

      <form name="signupForm" ng-submit="vm.signup(signupForm)">

        <div class="signup_input">
          <label>Input ID</label>
          <input type="text" placeholder="ID" class="input_box" ng-model="vm.id" autofocus />
        </div>

        <div class="signup_input">
          <label>Input Password</label>
          <input type="password" placeholder="Password" class="input_box" ng-model="vm.password"/>
        </div>

        <!--
        <div class="signup_input">
          <label>Confirm Password</label>
          <input type="password" placeholder="Confirm Password" class="input_box" ng-model="vm.confirmPassword" />
        </div>

        <div>비밀번호 에러있으면 에러체크 todo</div>-->

        <div class="signup_input">
          <label>Input User Name</label>
          <input type="text" placeholder="Name" class="input_box" ng-model="vm.name"/>
        </div>

        <div class="signup_input">
          <label>Input E-mail</label>
          <input type="email" placeholder="E-mail" class="input_box" ng-model="vm.email"/>
        </div>

        <div class="signup_input" style="margin-bottom: 20px;">
          <label>Select Role</label>

          <span style="margin-left: 160px;">
            <label ng-repeat="r in vm.role" class="signup_role">
              <input type="radio" value="{{r.name}}" ng-model="vm.role.userSelect"/>
              {{r.name}}
            </label>
          </span>
        </div>

        <button class="button_login" type="submit" style="margin-left: 240px;">Signup</button>

      </form>
    </div>
  </div>
</div>
